using APT.Infrastructure.Core;
using System;
using System.Collections.Generic;
using System.ComponentModel;

namespace APT.MS.Domain.Entities.BS
{
    /// <summary>
    /// 检查内容检查类型子表(关联层级)
    /// </summary>
    [Description("检查内容检查类型子表(关联层级)")]
    public class T_BS_CHECK_CONTENT_CHECK_TYPE_LEVEL : MesEntityBase
    {
        /// <summary>
        /// 检查内容类型
        /// </summary>
        [Description("检查内容类型")]
        [DataFieldForeignKey("Nav_CheckContentCheckType", "Nav_ListContentCheckTypeLevels")]
        public Guid CHECK_CONTENT_CHECK_TYPE_ID { get; set; }

        /// <summary>
        /// 导航：内容检查类型
        /// </summary>
        [Description("导航：内容检查类型")]
        public virtual T_BS_CHECK_CONTENT_CHECK_TYPE Nav_CheckContentCheckType { get; set; }




        /// <summary>
        /// 检查区域/辨识区域
        /// </summary>
        [Description("检查区域")]
        [DataFieldForeignKey("Nav_CheckTypeLevel")]
        [FormFieldEdit]
        public Guid T_BS_CHECK_TYPE_LEVEL_ID { get; set; }

        /// <summary>
        /// 导航：检查区域
        /// </summary>
        [Description("检查层级")]
        public virtual T_BS_CHECK_TYPE_LEVEL Nav_CheckTypeLevel { get; set; }



    }
}
